<?php
/*
 * @version			$Id: index.php 10381 2008-06-01 03:35:53Z $
 * @package			Carteasy
 * @copyright		Copyright (C) 2005 - 2011 Wlanium
 * @license			proprietary
 * @author			Thomas Bartelt
 * Carteasy is a web shop system
 */

class i18n {

	public $language = 'de';
	public $shopadmin_translation = array();
	public $admin_language_code_iso639 = array(
		'en' => 'English',
		'de' => 'Deutsch'
	);
	public $standard_admin_language = 'de';

	public function __construct() {
		$this->language = $this->standard_admin_language;
	}

	public function convert_time($time) {
		return $time;
	}

	public function convert_date($date) {
		$date = mktime(0,0,0,substr($date,5,2),substr($date,8,2),substr($date,0,4));
		return date($this->shopadmin_translation['system_date_format'], $date);
	}

	public function convert_price($price) {
		return $price.' '.$this->currency;
	}

	public function get_shopadmin_text($lang = false) {
		if ($lang) {
			$this->language = $lang;
		}
		include('./scripts/i18n/shopadmin_translation_'.$this->language.'.php');
		$this->shopadmin_translation = $shopadmin_translation;
		return;
	}

}

?>